---

- name: apt update
  hosts: all
  gather_facts: true
  become: true

  tasks:
    - name: update instance
      ansible.builtin.shell:
        apt clean ;
        apt -y update --allow-releaseinfo-change ;
        apt -y dist-upgrade ;
        apt -y autoremove ;
      #args:
      #  warn: false
      when: ansible_os_family | lower == 'debian'

    - name: install dependecies
      ansible.builtin.package:
        name:
          - jq
        state: present

- hosts: all
  gather_facts: true
  become: true
  remote_user: ansible
  roles:
    # - role: systemd-fuckoff
    - role: common
      tags:
        - common
    - role: chrony

- hosts: dns
  gather_facts: true
  become: true
  remote_user: ansible
  roles:
    - role: bodsch.dns.bind
      tags:
        - dns

- hosts: all
  gather_facts: true
  become: true
  remote_user: ansible
  roles:
    - role: bodsch.dns.resolv
      tags:
        - dns

- hosts: all,!dns
  gather_facts: true
  become: true
  remote_user: ansible
  roles:
    - role: bodsch.dns.dnsmasq
      tags:
        - dns

# prepare all coremedia machines
- hosts: coremedia,build.cm.local
  gather_facts: true
  become: true
  remote_user: ansible

  roles:
    - role: bodsch.core.snakeoil
      tags:
        - docker
        - snakeoil
    - role: bodsch.docker.docker
      tags:
        - docker
